Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 637458 (CVE-2017-16803) - <media-video/libav-12.3: multiple vulnerabilities (CVE-{7862,16803})
Summary: <media-video/libav-12.3: multiple vulnerabilities (CVE-{7862,16803})
Status: RESOLVED FIXED
Alias: CVE-2017-16803
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.libav.org/show_bug.c...
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on:
Blocks: 617508 CVE-2017-7862
  Show dependency tree
 
Reported: 2017-11-14 07:27 UTC by D'juan McDonald (domhnall)
Modified: 2018-11-27 02:05 UTC (History)
1 user (show)

See Also:
Package list:
media-video/libav-12.3
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D'juan McDonald (domhnall) 2017-11-14 07:27:55 UTC
CVE-2017-16803(https://nvd.nist.gov/vuln/detail/CVE-2017-16803):
In Libav through 11.11 and 12.x through 12.1, the smacker_decode_tree function in libavcodec/smacker.c does not properly restrict tree recursion, which allows remote attackers to cause a denial of service (bitstream.c:build_table() out-of-bounds read and application crash) via a crafted Smacker stream.

Upstream Fix:
https://github.com/libav/libav/commit/cd4663dc80323ba64989d0c103d51ad3ee0e9c2f

@maintainer(s), noting 12.1 in tree. In case of bump, please call for stabilization, thank you.


Gentoo Security Padawan
(jmbailey/mbailey_j)
Comment 1 Thomas Deutschmann gentoo-dev Security 2018-10-12 15:20:34 UTC
@ Arches,

please test and mark stable: =media-video/libav-12.3
Comment 2 Agostino Sarubbo gentoo-dev 2018-10-12 18:32:11 UTC
amd64 stable
Comment 3 Tobias Klausmann gentoo-dev 2018-10-13 08:07:54 UTC
Stable on alpha.
Comment 4 Sergei Trofimovich gentoo-dev 2018-10-13 16:12:14 UTC
ia64 stable
Comment 5 Thomas Deutschmann gentoo-dev Security 2018-10-14 01:45:16 UTC
x86 stable
Comment 6 Sergei Trofimovich gentoo-dev 2018-10-14 09:44:09 UTC
ppc stable
Comment 7 Sergei Trofimovich gentoo-dev 2018-10-14 10:02:03 UTC
ppc64 stable
Comment 8 Rolf Eike Beer 2018-11-08 23:03:49 UTC
sparc stable
Comment 9 Sergei Trofimovich gentoo-dev 2018-11-09 01:01:56 UTC
hppa stable
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-11-11 11:32:51 UTC
arm stable and security cleanup done
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2018-11-27 02:05:07 UTC
This issue was resolved and addressed in
 GLSA 201811-19 at https://security.gentoo.org/glsa/201811-19
by GLSA coordinator Aaron Bauman (b-man).